Emotion L Firmware Update Issue

G

gn13565

Registered
9 Aug 2011
12
0
Hi,

Apologies if this is a known issue, but search has not come up with an answer.

I have 2 Emotion L decoders at 2.7 and am trying to update to 2.9.
I can read/write CV's on both, but firmware update fails error 117 or no device to update.

I'm using the Pc-Module with USB and latest MST v3.3.

I have updated many other decoders, but am struggling here.

Only thing I can think is that I need to load v2.8 first?

Can anybody point me at a copy of this version for 8154001?

Cheers

Greg
 
PhilP

PhilP

G Scale, 7/8th's, Electronics
5 Jun 2013
24,387
831
Tamworth, Staffs.
Going back a couple of years..
There was a batch of decoders came-out with a 'read only' bit set. - They failed with this error number.

The 'fix' was to load the LS firmware, over the top. - This meant your software would 'think' it was a 'LS', but you would never get the sounds to work! ;)

I did not then try loading later 'L' firmware, over the top of the 'LS'..


I have also used the older software, in the past, when the latest combined version did not work.
Depending when you got your Massoth PC Module, you may find this on the supplied CD.
 
G

gn13565

Registered
9 Aug 2011
12
0
Thanks PhilP

Appreciate the input.

That could be it, as I pinged the massoth hotline and they’ve asked me to send them in.

I’ll post when I get some feedback.

like an idiot I’ve misplaced my cd!!